local _logger_name = "Set Property Sample Script"

---
--- Install Functions
--- Return true to indicate success and proceed to the next step
--- Return false with a message to indicate failure.
--- The message will be returned and displayed in the history.
---
function Step1 (job)
	local headers = {["content-type"] = "application/json"}
	local jsonData = {content='{"'..job.property_name..'":"'..job.property_value..'"}'}
	tw_script.executeCallback(job.thing, "PUT", "Properties/"..job.property_name, headers, nil, jsonData)

	if (job.failed_step ~= nil) then
		if (job.failed_step == "Step1") then
			return false, "Error in Step1"
		end
	end
	return true
end

---
--- Rollback Functions
--- The rollback functions are optional
--- The rollback functions must be named rollback_<StepFunctionName>
--- for the rollback process to work.
--- The steps of the rollback are performed in reverse order of the install steps.
---
function rollback_Step1(job)
	--do rollback functionality here
end

steps = {
	"Step1"
}