local _logger_name = "Transfer_From_Agent_Sample_Script"
require "utils"
---
--- Install Functions
--- Return true to indicate success and proceed to the next step
--- Return false with a message to indicate failure.
--- The message will be returned and displayed in the history.
---
function Step1 (job)

	local params = {
		sourceRepo = job.thing,
		sourcePath = job.source_path,
		sourceFile = job.source_file,
		targetRepo = job.target_repo,
		targetPath = job.target_path,
		targetFile = job.target_file,
		async = false,
		timeout = 120
	}
	local encode_success = false
	local postdata
    encode_success, postdata = tw_utils.encodeData(params)

    if not encode_success then return 400, "Could not encode JSON data" end

    thingworx.server.post("/Thingworx/Subsystems/FileTransferSubsystem/Services/Copy", postdata, tw_utils.REQ_HEADERS())
	
	if (job.failed_step ~= nil) then
		if (job.failed_step == "Step1") then
			return false, "Error in Step1"
		end
	end
	return true
end

---
--- Rollback Functions
--- The rollback functions are optional
--- The rollback functions must be named rollback_<StepFunctionName>
--- for the rollback process to work.
--- The steps of the rollback are performed in reverse order of the install steps.
---
function rollback_Step1(job)
	--do rollback functionality here
end

steps = {
	"Step1"
}